#!/bin/sh

# if there's no output directory, then make it.
if [ ! -d output ]; then
    mkdir output
fi

mission="astro-h"                                      # mission
instrume="sxi"                                         # instrument
cal_dir="sxi"                                          # master calibration data directory
resp_dir=$HEASIM_SUPPORT/$mission/$cal_dir/response    # response directory
psf_dir=$HEASIM_SUPPORT/$mission/$cal_dir/psf          # psf directory
vig_dir=$HEASIM_SUPPORT/$mission/$cal_dir/vignette     # vignette directory
back_dir=$HEASIM_SUPPORT/$mission/$cal_dir/background  # background directory
#source_dir=$HEASIM_SUPPORT/testdata/source_data       # directory containing source files
fileroot=sim1e_sxi_multi

rmf=$resp_dir/ah_sxi_20120702.rmf
arf=$resp_dir/sxt-i_140505_ts02um_int01.8r_intall.arf
outfile=output/${fileroot}.fits                            

punlearn heasim
heasim mission = $mission \
     instrume = $instrume \
     filter = none \
     instmode = none \
     rapoint = 81.5 \
     decpoint = -69.5 \
     roll = 0.00 \
     exposure = 10000. \
     flagsubex =  no \
     subexposure = 1.0e9 \
     insrcdeffile = point_multi_input.dat \
     outfile = $outfile \
     psffile = $psf_dir/sxt-i_EEF_4p5keV_140617.txt \
     vigfile = $vig_dir/SXT_VIG_140618.txt \
     rmffile = $rmf \
     arffile = $arf \
     arfrmftol = 1.0e0 \
     intbackfile = $back_dir/ah_sxi_pch_nxb_full_20110530.pi \
     psbackfile = none \
     difbackfile = none \
     pszbackfile = none \
     dtpileup = 0.0 \
     getinfile = no \
     debug = yes \
     clobber = yes \
     mode = ql \
     mdbfile = $LHEA_DATA/heasim.mdb \
     seed = 0 | tee output/${fileroot}.log
# if == 0, ignore and seed using system time
