#! bin/sh

# if there's no output directory, then make it.
if [ ! -d output ]; then
    mkdir output
fi

mission="astro-h"                                      # mission
instrume="sxi"                                            # instrument
cal_dir="sxi"                                             # master calibration data directory
resp_dir=$HEASIM_SUPPORT/$mission/$cal_dir/response       # response directory
psf_dir=$HEASIM_SUPPORT/$mission/$cal_dir/psf             # psf directory
vig_dir=$HEASIM_SUPPORT/$mission/$cal_dir/vignette        # vignette directory
#source_dir=$HEASIM_SUPPORT/testdata/source_data                             # directory containing source files
back_dir=$HEASIM_SUPPORT/$mission/$cal_dir/background     # int-bkg directory

arf=$resp_dir/sxt-i_140505_ts02um_int01.8r_intall.arf
rmf=$resp_dir/ah_sxi_20120702.rmf
back=$back_dir/ah_sxi_pch_nxb_full_20110530.pi
vignette=$vig_dir/SXT_VIG_140618.txt 
psf=$psf_dir/sxt-i_EEF_4p5keV_140617.txt

outfile=output/astroH_bright_sxi_optsub.fits

############# ASSIGNMENT BLOCK ##############

mission=$mission
instrume=$instrume
rapoint=151.8606
decpoint=16.1085
roll=0.00
exposure=10000.
flagsubex=yes
subexposure=1.0e9
insrcdeffile=brightsource.txt \
outfile=$outfile
psffile=$psf
vigfile=none
rmffile=$rmf
arffile=$arf
intbackfile=none
mdbfile=$LHEA_DATA/heasim.mdb

######### EXECUTION BLOCK ###################

heasim \
    mission=$mission \
    instrume=$instrume \
    rapoint=$rapoint \
    decpoint=$decpoint \
    roll=$roll \
    exposure=$exposure \
    flagsubex=$flagsubex \
    subexposure=$subexposure \
    insrcdeffile=$insrcdeffile \
    outfile=$outfile \
    psffile=$psffile \
    vigfile=$vigfile \
    rmffile=$rmffile \
    arffile=$arffile \
    intbackfile=$intbackfile \
    mdbfile=$mdbfile 


